<?php

if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
		'name' => 'tab-1',
        'before_widget' => '<div class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	register_sidebar(array(
		'name' => 'tab-2',
        'before_widget' => '<div class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	register_sidebar(array(
		'name' => 'tab-3',
        'before_widget' => '<div class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
}


add_action('admin_menu', 'crear_link_blog_curvo');

function crear_link_blog_curvo() {
	add_theme_page(__('Personalizar opciones del tema'), __('Opciones del Tema'), 'edit_themes', basename(__FILE__), 'crear_pagina_opciones');
}

function crear_pagina_opciones() {
	?>
	<?php
		if (isset($_GET['updated'])) {
			echo '<div id="message" class="updated fade"><p>'.__('Settings updated.', 'sumolari').'</p></div>';
		}
		if (isset($_POST['blog_curvo_wysiwyg'])) {
			
			update_option('blog_curvo_wysiwyg', $_POST['blog_curvo_wysiwyg']);
			update_option('blog_curvo_logo', $_POST['blog_curvo_logo']);
			update_option('blog_curvo_lang', $_POST['blog_curvo_lang']);
			
			update_option('blog_curvo_tab_1_name', $_POST['blog_curvo_tab_1_name']);
			update_option('blog_curvo_tab_2_name', $_POST['blog_curvo_tab_2_name']);
			update_option('blog_curvo_tab_3_name', $_POST['blog_curvo_tab_3_name']);
			
			update_option('blog_curvo_estilo_color', $_POST['blog_curvo_estilo_color']);
			
			update_option('blog_curvo_fondo_imagen', $_POST['blog_curvo_fondo_imagen']);
			update_option('blog_curvo_posicion_fondo', $_POST['blog_curvo_posicion_fondo']);
			update_option('blog_curvo_posicion_fondo_horizontal', $_POST['blog_curvo_posicion_fondo_horizontal']);
			update_option('blog_curvo_posicion_fondo_repeticion', $_POST['blog_curvo_posicion_fondo_repeticion']);
			update_option('blog_curvo_color_fondo', $_POST['blog_curvo_color_fondo']);
			
		}
				
	?>
    <script language="javascript">
	function abrir(direccion, pantallacompleta, herramientas, direcciones, estado, barramenu, barrascroll, cambiatamano, ancho, alto, izquierda, arriba, sustituir){
		 var opciones = "fullscreen=" + pantallacompleta +
					 ",toolbar=" + herramientas +
					 ",location=" + direcciones +
					 ",status=" + estado +
					 ",menubar=" + barramenu +
					 ",scrollbars=" + barrascroll +
					 ",resizable=" + cambiatamano +
					 ",width=" + ancho +
					 ",height=" + alto +
					 ",left=" + izquierda +
					 ",top=" + arriba;
		 var ventana = window.open(direccion,"venta",opciones,sustituir);
	
	}                    
	</script> 
    <div class="wrap">
    <h2>Personalizar opciones del tema</h2>
    
    <p>Aqu&iacute; puedes personalizar las opciones del tema.</p>
   
    <form method="post" action="">
    <?php wp_nonce_field('update-options'); ?>
    
    <table class="form-table">

    <tr>
    <td colspan="2"><h3>Opciones generales</h3></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Activar editor WYSIWYG en los comentarios</th>
    <td><select name="blog_curvo_wysiwyg">
    <option value="activar" <?php if (get_option('blog_curvo_wysiwyg') == 'activar') { echo 'selected="selected"'; } ?>>Activar</option>
    <option value="desactivar" <?php if (get_option('blog_curvo_wysiwyg') == 'desactivar') { echo 'selected="selected"'; } ?>>Desactivar</option>
    </select></td>
    </tr>
	
	<tr valign="top">
    <th scope="row">Mostrar logo en lugar de nombre y descripci&oacute;n</th>
    <td><select name="blog_curvo_logo">
    <option value="activar" <?php if (get_option('blog_curvo_logo') == 'activar') { echo 'selected="selected"'; } ?>>Activar</option>
    <option value="desactivar" <?php if (get_option('blog_curvo_logo') == 'desactivar') { echo 'selected="selected"'; } ?>>Desactivar</option>
    </select></td>
    </tr>
	
	<tr valign="top">
    <th scope="row">Idioma del theme (no afecta a esta p&aacute;gina)</th>
    <td><select name="blog_curvo_lang">
    <option value="es" <?php if (get_option('blog_curvo_lang') == 'es') { echo 'selected="selected"'; } ?>>Espa&ntilde;ol</option>
    <option value="en" <?php if (get_option('blog_curvo_lang') == 'en') { echo 'selected="selected"'; } ?>>Ingl&eacute;s</option>
    </select></td>
    </tr>

    <tr>
    <td colspan="2"><h3>Nombres de las pesta&ntilde;as</h3></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Pesta&ntilde;a 1</th>
    <td><input type="text" name="blog_curvo_tab_1_name" value="<?php echo get_option('blog_curvo_tab_1_name'); ?>" /></td>
    </tr>
     
    <tr valign="top">
    <th scope="row">Pesta&ntilde;a 2</th>
    <td><input type="text" name="blog_curvo_tab_2_name" value="<?php echo get_option('blog_curvo_tab_2_name'); ?>" /></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Pesta&ntilde;a 3</th>
    <td><input type="text" name="blog_curvo_tab_3_name" value="<?php echo get_option('blog_curvo_tab_3_name'); ?>" /></td>
    </tr>
    
    <tr>
    <td colspan="2"><h3>Variaci&oacute;n de color</h3>
    </td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Combinaci&oacute;n de colores</th>
    <td><select name="blog_curvo_estilo_color">
      <option value="verde" <?php if (get_option('blog_curvo_estilo_color') == 'verde') { echo 'selected="selected"'; } ?>>Verde</option>
      <?php $directorio = opendir('../wp-content/themes/blog_curvo/personalizado');
       while($carpeta = readdir($directorio)) {    
        if(!is_dir($carpeta))
        {
            echo '<option value="personalizado/'.$carpeta.'"';
            if (get_option('blog_curvo_estilo_color') == 'personalizado/'.$carpeta.'') { echo 'selected="selected"'; }
            echo '>'.$carpeta.'</option>';
        }
      } closedir($directorio);  ?>
    </select>
    </td>
    </tr>
   
    <tr>
    <td colspan="2"><h3>Fondo de la p&aacute;gina</h3></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">No usar nignuna imagen</th>
    <td><p>Elige no usar ninguna imagen de fondo:</p><p><input type="radio" name="blog_curvo_fondo_imagen" id="blog_curvo_fondo_imagen" value="ninguna" <?php if (get_option('blog_curvo_fondo_imagen') == 'ninguna') { echo 'checked="checked"'; } ?> /></p></td>
    </tr>
    
    <tr valign="top">
    <th scope="row"><img src="../wp-content/themes/blog_curvo/<?php echo get_option('blog_curvo_estilo_color'); ?>/img/body_bg.png" width="100px" height="100px" /></th>
    <td><p>Elige esta imagen como fondo del tema:</p><p><input type="radio" name="blog_curvo_fondo_imagen" id="blog_curvo_fondo_imagen" value="por_defecto" <?php if (get_option('blog_curvo_fondo_imagen') == 'por_defecto') { echo 'checked="checked"'; } ?> /></p></td>
    </tr>
    
    <tr valign="top">
    <th scope="row"><img src="../wp-content/themes/blog_curvo/<?php echo get_option('blog_curvo_estilo_color'); ?>/img/body_bg_invertido.png" width="100px" height="100px" /></th>
    <td><p>Elige esta imagen como fondo del tema:</p><p><input type="radio" name="blog_curvo_fondo_imagen" id="blog_curvo_fondo_imagen" value="por_defecto_invertido" <?php if (get_option('blog_curvo_fondo_imagen') == 'por_defecto_invertido') { echo 'checked="checked"'; } ?> /></p></td>
    </tr>
<?php
$dir = '../wp-content/themes/blog_curvo/fondos';
$directorio=opendir($dir); 
while ($archivo = readdir($directorio)) {
	if ($archivo != '.') {
		if ($archivo != '..') {
			if ($archivo != 'desktop.ini') {
				echo '<tr valign="top"><td><img src="'.$dir.'/'.$archivo.'" width="100px" height="100px" /></td><td><p>Elige esta imagen como fondo del tema:</p><p><input type="radio" name="blog_curvo_fondo_imagen" id="blog_curvo_fondo_imagen" value="'.$archivo.'"';
				if (get_option('blog_curvo_fondo_imagen') == $archivo) { echo 'checked="checked"'; }
				echo ' /></p></td></tr>';
			} 
		}
	}
}
closedir($directorio); 
?>     
    
    <tr valign="top">
    <th scope="row">Posici&oacute;n vertical de la imagen de fondo</th>
    <td><select name="blog_curvo_posicion_fondo">
      <option value="arriba" <?php if (get_option('blog_curvo_posicion_fondo') == 'arriba') { echo 'selected="selected"'; } ?>>Arriba</option>
      <option value="abajo" <?php if (get_option('blog_curvo_posicion_fondo') == 'abajo') { echo 'selected="selected"'; } ?>>Abajo</option>
      <option value="medio" <?php if (get_option('blog_curvo_posicion_fondo') == 'medio') { echo 'selected="selected"'; } ?>>Centrado verticalmente</option>
    </select></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Posici&oacute;n horizontal de la imagen de fondo</th>
    <td><select name="blog_curvo_posicion_fondo_horizontal">
      <option value="izquierda" <?php if (get_option('blog_curvo_posicion_fondo_horizontal') == 'izquierda') { echo 'selected="selected"'; } ?>>Izquierda</option>
      <option value="derecha" <?php if (get_option('blog_curvo_posicion_fondo_horizontal') == 'derecha') { echo 'selected="selected"'; } ?>>Derecha</option>
      <option value="medio" <?php if (get_option('blog_curvo_posicion_fondo_horizontal') == 'medio') { echo 'selected="selected"'; } ?>>Centrado horizontalmente</option>
    </select></td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Repetici&oacute;n de la imagen de fondo</th>
    <td><select name="blog_curvo_posicion_fondo_repeticion">
      <option value="x" <?php if (get_option('blog_curvo_posicion_fondo_repeticion') == 'x') { echo 'selected="selected"'; } ?>>Repetici&oacute;n horizontal</option>
      <option value="y" <?php if (get_option('blog_curvo_posicion_fondo_repeticion') == 'y') { echo 'selected="selected"'; } ?>>Repetici&oacute;n vertical</option>
      <option value="x_y" <?php if (get_option('blog_curvo_posicion_fondo_repeticion') == 'x_y') { echo 'selected="selected"'; } ?>>Repetici&oacute;n horizontal y vertical</option>
      <option value="no" <?php if (get_option('blog_curvo_posicion_fondo_repeticion') == 'no') { echo 'selected="selected"'; } ?>>No repetir</option>
      </select>
    </td>
    </tr>
    
    <tr valign="top">
    <th scope="row">Elige el color de fondo del tema (introduce el c&oacute;digo del color)</th>
    <td><input type="text" name="blog_curvo_color_fondo" value="<?php echo get_option('blog_curvo_color_fondo'); ?>" /><input type="button" onclick="abrir('../wp-content/themes/blog_curvo/js/colores.html');" value="Ver c&iacute;culo crom&aacute;tico"></td>    
    </table>
    
    <input type="hidden" name="action" value="update" />
    
    <p class="submit">
    <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
    </p>
    
    </form>
    
    <h2>Otros colores</h2>
    <p>&iquest;No te gustan las combinaciones de colores que tienes? No te preocupes, puedes descargar m&aacute;s combinaciones de colores en <a href="http://sumolari.com/blog_curvo/">Sumolari.com</a>.</p>
    
    </div>
    <?php
}
?>