<?php include('bg.php'); ?>
<?php include('lang.php'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/<?php if(get_option('blog_curvo_estilo_color') == '') { echo 'verde'; } else { echo get_option('blog_curvo_estilo_color'); } ?>/style.css" type="text/css" />
<style type="text/css">
<?php bg_style(); ?>
<?php if (get_option('blog_curvo_logo') == 'activar') { ?>
.logo {
	background:url(<?php bloginfo('template_directory'); ?>/<?php echo get_option('blog_curvo_estilo_color'); ?>/img/logo.png) top left no-repeat;
	height:100px;
}
<?php } else { ?>
.logo {
	color:#FFF;
}

.logo a {
	color:#FFF;
	font-family:Arial, Helvetica, sans-serif;
	padding-top:15px;
	padding-left:15px;
}

.description {
	color:#FFF;
	margin-top:-70px;
	margin-left:15px;
	font-family:Arial, Helvetica, sans-serif;
}
<?php } ?>
</style>
<!--[if lt IE 7.]>
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/ie6.css" />
<![endif]-->
<!--[if IE]>
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/ie.css" />
<![endif]-->
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/jquery_ui.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){
	$("#tabs > ul").tabs({ 
		fx: { 
			opacity: "toggle"
		} 
	});	
});
</script>
<?php
	if(get_option('blog_curvo_wysiwyg') == 'activar') {
	?>
<script type="text/javascript" src="<?php echo get_option('home'); ?>/wp-includes/js/tinymce/tiny_mce.js"></script>
<script type="text/javascript">
tinyMCE.init({
	// General options
	mode : "textareas",
	theme : "advanced",
	plugins : "safari",

	// Theme options
	theme_advanced_buttons1 : "bold,italic,underline,strikethrough, |,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo, |,sub,sup",
	theme_advanced_buttons2: "",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom"

});
</script>

    <?php
	}
	wp_head();
	if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
?>
</head>

<body>
	<div id="wrapper">	<!-- COMIENZA WRAPPER -->
        <div class="top-bg-l">
            <div class="top-bg-r">
                <div class="top-bg-c">
                </div>
            </div>
        </div>
        <div class="center-bg-l">	<!-- COMIENZA CENTER-BG-L -->
        	<div class="center-bg-r">	<!-- COMIENZA CENTER-BG-R -->
            	<div class="center-bg-c">	<!-- COMIENZA CENTER-BG-C -->
                	<div class="logo-l">
                    	<div class="logo-r">
                        	<div class="logo-c">
                            		<?php if (get_option('blog_curvo_logo') == 'activar') { ?>
                                    <h1 class="logo"><a href="<?php echo get_option('home'); ?>/"><span><?php bloginfo('name'); ?>-  <?php bloginfo('description'); ?></span></a></h1>
                                    <?php } else { ?>
                                	<h1 class="logo"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
									<p class="description"><?php bloginfo('description'); ?></p>
                                    <?php } ?>
                            </div>
                        </div>
                    </div>
                    <div class="top-menu">
                    	<ul>
                            <li><a href="<?php bloginfo('url'); ?>"><?php echo $lang[$idioma][0]; ?></a></li>
                            <?php wp_list_pages('depth=1&title_li=&sort_column=menu_order' ); ?>
                            <li><a href="#abajo" name="arriba"><?php echo $lang[$idioma][1]; ?></a></li>
                        </ul>
                    </div>
                    <div id="container">	<!-- COMIENZA CONTAINER -->